using UnityEngine;

namespace XGame.Framework.FGUI
{
    public class FguiModuleBuilder : UI.UIModuleBuilder
    {
        protected override void CreateProduct()
        {
            product = new FguiModule(assetModule, uiTree);
        }
        protected override void CreateUITree()
        {
            const string uiTreeName = "FGUI/UITree";
            var instance = Object.Instantiate(Resources.Load<FguiTree>(uiTreeName));
            Assert.IsNotNull(instance, "UITree不能为空.");
            instance.gameObject.name = "UITree";
            instance.transform.SetParent(AppManager.Root, false);
            uiTree = instance;
        }
    }
}